Last Comment Bug 835002 - Add back Growl support for TB19/20/21 and SM 2.16/2.17/2.18
: Add back Growl support for TB19/20/21 and SM 2.16/2.17/2.18
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: 19
: x86 Mac OS X
: -- normal with 1 vote (vote)
: Thunderbird 21.0
Assigned To: Nomis101
:
Mentors:
Depends on: 806254 827979
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-25 20:39 PST by Philip Chee
Modified: 2013-03-06 07:16 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
-
wontfix
+
fixed
fixed
?
fixed
fixed


Attachments
Patch for TB19 / SM2.16 (7.50 KB, patch)
2013-01-26 18:10 PST, Nomis101
bugspam.Callek: review+
stefanh: feedback+
standard8: approval‑comm‑beta+
Details | Diff | Review
Patch for TB20 / SM2.17 (7.50 KB, patch)
2013-01-26 18:15 PST, Nomis101
standard8: review+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description Philip Chee 2013-01-25 20:39:39 PST
We should add back GROWL support to TB19/20 and SM 2.16/2.17 since Firefox is doing it in Bug 827979.

+++ This bug was initially created as a clone of Bug #806254 +++
> If Bug 805837 adds back Growl support to Gecko 18, we should also reverse
> the changes we have done in Bug 792793 for comm-aurora.

Bug 827979 - add Growl support back for Firefox 19 (Beta) and Firefox 20 (Aurora)

From Bug 827979 Comment 0:

> My understanding is that XUL notifications will come from bug 782211 but
> that has still not been completed. I think we should add growl back to 19
> and 20 for the same reason as we did for 18.
Comment 1 Nomis101 2013-01-26 18:10:55 PST
Created attachment 706828 [details] [diff] [review]
Patch for TB19 / SM2.16
Comment 2 Nomis101 2013-01-26 18:15:49 PST
Created attachment 706829 [details] [diff] [review]
Patch for TB20 / SM2.17
Comment 3 Nomis101 2013-01-26 18:21:33 PST
Comment on attachment 706828 [details] [diff] [review]
Patch for TB19 / SM2.16

[Approval Request Comment]
Bug caused by (feature/regressing bug #): Bug 827979
User impact if declined: No notification support at all on OS X 
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky): No risk, same patch as in Bug 806254
Comment 4 Nomis101 2013-01-26 18:22:26 PST
Comment on attachment 706829 [details] [diff] [review]
Patch for TB20 / SM2.17

[Approval Request Comment]
Bug caused by (feature/regressing bug #): Bug 827979
User impact if declined: No notification support at all on OS X 
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky): No risk, same patch as in Bug 806254
Comment 5 Nomis101 2013-01-26 18:24:59 PST
By the way, both patches are the same and the same as the patch for Bug 806254. But made from different branches.
Comment 6 Lukas Blakk [:lsblakk] use ?needinfo 2013-01-30 12:38:57 PST
Comment on attachment 706828 [details] [diff] [review]
Patch for TB19 / SM2.16

wrong flags, resetting.
Comment 7 Rich Gray (:rbgray) 2013-02-04 11:45:51 PST
Yay!  WFM now.  Hadn't realized how much I'd miss Growl.   Thanks!

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:19.0) Gecko/20100101 Firefox/19.0 SeaMonkey/2.16
    Build identifier: 20130130211905
Comment 8 Mark Banner (:standard8) 2013-02-04 12:04:20 PST
Comment on attachment 706828 [details] [diff] [review]
Patch for TB19 / SM2.16

If the SM team want to take this or not, that's up to them. We're not going to be releasing another beta of TB in this cycle.
Comment 9 Mark Banner (:standard8) 2013-02-04 12:07:54 PST
Bumping versions in title, since bug 827979 also landed growl support back on mozilla-central.
Comment 10 Mark Banner (:standard8) 2013-02-04 12:08:34 PST
Comment on attachment 706829 [details] [diff] [review]
Patch for TB20 / SM2.17

Looks good to me.
Comment 11 Mark Banner (:standard8) 2013-02-04 12:09:58 PST
https://hg.mozilla.org/comm-central/rev/48831ce7db7d
Comment 12 Ian Neal 2013-02-04 15:00:18 PST
Comment on attachment 706828 [details] [diff] [review]
Patch for TB19 / SM2.16

Probably worth asking stefanh for feedback too.
Comment 13 Mark Banner (:standard8) 2013-02-05 00:08:35 PST
(In reply to Ian Neal from comment #12)
> Comment on attachment 706828 [details] [diff] [review]
> Patch for TB19 / SM2.16
> 
> Probably worth asking stefanh for feedback too.

I was more thinking of the late l10n string perspective than the viability of the patch.
Comment 14 Stefan [:stefanh] (away until May 28) 2013-02-06 00:44:11 PST
Comment on attachment 706828 [details] [diff] [review]
Patch for TB19 / SM2.16

f+ for attachment #706829 [details] [diff] [review] too since it's the same patch ;-)
Comment 15 Mark Banner (:standard8) 2013-02-08 10:49:51 PST
Comment on attachment 706829 [details] [diff] [review]
Patch for TB20 / SM2.17

https://hg.mozilla.org/releases/comm-aurora/rev/3c479c9f8c57
Comment 16 Justin Wood (:Callek) 2013-02-13 02:24:41 PST
Comment on attachment 706828 [details] [diff] [review]
Patch for TB19 / SM2.16

r+ and a+ (though it is late) its had plenty of bake, I can't set a+ though in this component. :(
Comment 17 Justin Wood (:Callek) 2013-02-13 02:26:40 PST
Mark, can you rubber-stamp this for me (I know it has late-l10n, but I think its worth it given the growl re-add, for SeaMonkey) -- for TB theres no more betas anyway.  I want this landed by the time the migrations start.
Comment 18 Philip Chee 2013-02-13 03:13:35 PST
Pushed to comm-beta r+a=Callek:
http://hg.mozilla.org/releases/comm-beta/rev/c32f17244f9a

Note You need to log in before you can comment on or make changes to this bug.